<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">

    <modelVersion>4.0.0</modelVersion>

    <parent>
        <groupId>ru.entaxy.esb.platform.runtime.modules</groupId>
        <artifactId>atlasmap</artifactId>
        <version>1.10.1</version>
    </parent>

    <groupId>ru.entaxy.esb.platform.runtime.modules.atlasmap</groupId>
    <artifactId>atlasmap-entaxy-rest</artifactId>
    <packaging>bundle</packaging>

    <name>ENTAXY :: ATLASMAP :: REST API</name>
    <description>ENTAXY :: ATLASMAP :: REST API</description>



    <properties>
        <xsom.version>2.5.2</xsom.version>
        <javax.ws.rs.version>2.1.1</javax.ws.rs.version>
        <!--		we can't up version because lib use the newest java 17-->
        <jackson.version>2.9.10</jackson.version>
        <jackson.databind.version>2.9.10.8</jackson.databind.version>
    </properties>

    <dependencies>
        <dependency>
            <groupId>ru.entaxy.esb.platform.runtime.modules.atlasmap</groupId>
            <artifactId>atlasmap-entaxy-libs</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>ru.entaxy.esb.platform.runtime.base.resources</groupId>
            <artifactId>resources-api</artifactId>
            <version>${project.version}</version>
        </dependency>

        <dependency>
            <groupId>io.swagger.core.v3</groupId>
            <artifactId>swagger-annotations</artifactId>
            <version>${swagger.v3.version}</version>
        </dependency>
        <dependency>
            <groupId>javax.ws.rs</groupId>
            <artifactId>javax.ws.rs-api</artifactId>
            <version>${javax.ws.rs.version}</version>
        </dependency>
    </dependencies>
</project>
